using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace ProjetDotNet.metier
{
    public abstract class FormeComplexe:Forme
    {
        private List<Forme> _listeForme; //Référence des formes ? comme ça si changement d'une figure alors changement dans le groupe aussi

        public List<Forme> ListeForme
        {
            get
            {
                return _listeForme;
            }
            set
            {
                _listeForme = value;
            }
        }

        public FormeComplexe(String nom):base(nom)
        {
            _listeForme = new List<Forme>();
        }

        public void Add(Forme forme)
        {
            _listeForme.Add(forme);
        }

        public bool Remove(Forme forme)
        {
            return _listeForme.Remove(forme);
        }

        public Forme Find(Forme forme)
        {
            return _listeForme.Find(f => f == forme);
        }
    }
}
